<?php
/**
 * NotificationChannelEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Communication manager
 *
 * Ensi Communication manager
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CommunicationManagerClient\Dto;
use \Ensi\CommunicationManagerClient\ObjectSerializer;

/**
 * NotificationChannelEnum Class Doc Comment
 *
 * @category Class
 * @description Каналы отправки уведомлений. Расшифровка значений:   * &#x60;1&#x60; - Email   * &#x60;2&#x60; - SMS   * &#x60;3&#x60; - Витрина
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class NotificationChannelEnum
{
    
    /** Email */
    public const EMAIL = 1;
    
    /** SMS */
    public const SMS = 2;
    
    /** Витрина */
    public const STOREFRONT = 3;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::EMAIL,
            self::SMS,
            self::STOREFRONT,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::EMAIL => 'Email',
            self::SMS => 'SMS',
            self::STOREFRONT => 'Витрина',
        ];
    }
}


